using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge.Admin
{
	/// <summary>
	/// Admin_DeleteGonGao 的摘要说明。
	/// </summary>
	public class Admin_DeleteGonGao : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{

			// 在此处放置用户代码以初始化页面
			if(Session["AdminName"]==null)
			{
				Response.Redirect("Admin_Login.aspx");
			}

			//取得需删除记录的ID
			string ID=Request.QueryString["ID"];
			int CID=Convert.ToInt32(ID.Trim());
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义数据库连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库连接对象
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//操作数据库
			try
			{
				//打开数据库
				ACconn.Open();
				//定义SQL语句
				string ACsql="delete from GonGao where ID="+CID;
				//定义Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				//执行SQL
				ACcomm.ExecuteNonQuery();


				Response.Write("<script>alert('删除成功');</script>");
				Response.Write("<script>history.go(-1);</script>");

			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();
			}


		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
